javax.xml.rpc.handler.soap

## Interface SOAPMessageContext

- All Superinterfaces:
    MessageContext

      public interface SOAPMessageContext
      extends MessageContext

  The interface `javax.xml.rpc.soap.SOAPMessageContext` provides access to the SOAP message for either RPC request or response. The `javax.xml.soap.SOAPMessage` specifies the standard Java API for the representation of a SOAP 1.1 message with attachments.
  Version:
    1.0
  Author:
    Rahul Sharma
  See Also:
    `SOAPMessage`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SOAPMessage` | `getMessage()` Gets the SOAPMessage from this message context
    `String[]` | `getRoles()` Gets the SOAP actor roles associated with an execution of the HandlerChain and its contained Handler instances.
    `void` | `setMessage(SOAPMessage message)` Sets the SOAPMessage in this message context

    - ### Methods inherited from interface javax.xml.rpc.handler.MessageContext

      `containsProperty, getProperty, getPropertyNames, removeProperty, setProperty`

- - ### Method Detail

    - #### getMessage

          SOAPMessage getMessage()

      Gets the SOAPMessage from this message context
      Returns:
        Returns the SOAPMessage; returns null if no SOAPMessage is present in this message context

    - #### setMessage

          void setMessage(SOAPMessage message)

      Sets the SOAPMessage in this message context
      Parameters:
        `message` - SOAP message
      Throws:
        `JAXRPCException` - If any error during the setting of the SOAPMessage in this message context
        `UnsupportedOperationException` - If this operation is not supported

    - #### getRoles

          String[] getRoles()

      Gets the SOAP actor roles associated with an execution of the HandlerChain and its contained Handler instances. Note that SOAP actor roles apply to the SOAP node and are managed using `HandlerChain.setRoles` and `HandlerChain.getRoles`. Handler instances in the HandlerChain use this information about the SOAP actor roles to process the SOAP header blocks. Note that the SOAP actor roles are invariant during the processing of SOAP message through the HandlerChain.
      Returns:
        Array of URIs for SOAP actor roles
      See Also:
        `HandlerChain.setRoles(java.lang.String[])`, `HandlerChain.getRoles()`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.